<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\CargoOrders\Controllers\CargoController;
use App\Http\ApiV1\Modules\CargoOrders\Controllers\CargoOrdersController;
use App\Http\ApiV1\Modules\Common\Controllers\CustomerPersonalDataController;
use App\Http\ApiV1\Modules\DeliveryKpis\Controllers\DeliveryKpiController;
use App\Http\ApiV1\Modules\DeliveryKpis\Controllers\DeliveryKpiCtController;
use App\Http\ApiV1\Modules\DeliveryKpis\Controllers\DeliveryKpiPptController;
use App\Http\ApiV1\Modules\DeliveryOrders\Controllers\DeliveryOrdersController;
use App\Http\ApiV1\Modules\DeliveryOrders\Controllers\DeliveryOrderStatusMappingController;
use App\Http\ApiV1\Modules\DeliveryPrices\Controllers\DeliveryPricesController;
use App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceDocumentFilesController;
use App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceDocumentsController;
use App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServiceManagersController;
use App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServicePaymentMethodLinksController;
use App\Http\ApiV1\Modules\DeliveryServices\Controllers\DeliveryServicesController;
use App\Http\ApiV1\Modules\Geos\Controllers\DeliveryCitiesController;
use App\Http\ApiV1\Modules\Geos\Controllers\FederalDistrictsController;
use App\Http\ApiV1\Modules\Geos\Controllers\PointsController;
use App\Http\ApiV1\Modules\Geos\Controllers\RegionsController;
use Illuminate\Support\Facades\Route;

Route::post('cargo-orders/cargo-orders/{id}:cancel', [CargoOrdersController::class, 'cancel']);
Route::post('cargo-orders/cargo-orders:search', [CargoOrdersController::class, 'search']);
Route::patch('cargo-orders/cargo/{id}', [CargoController::class, 'patch']);
Route::post('cargo-orders/cargo/{id}:cancel', [CargoController::class, 'cancel']);
Route::post('cargo-orders/cargo:search', [CargoController::class, 'search']);
Route::patch('delivery-orders/delivery-orders/{id}', [DeliveryOrdersController::class, 'patch']);
Route::post('delivery-orders/delivery-orders:search', [DeliveryOrdersController::class, 'search']);
Route::post('delivery-orders/delivery-orders:search-one', [DeliveryOrdersController::class, 'searchOne']);
Route::post('delivery-orders/delivery-order-status-mapping', [DeliveryOrderStatusMappingController::class, 'create']);
Route::get('delivery-orders/delivery-order-status-mapping/{id}', [DeliveryOrderStatusMappingController::class, 'get']);
Route::delete('delivery-orders/delivery-order-status-mapping/{id}', [DeliveryOrderStatusMappingController::class, 'delete']);
Route::patch('delivery-orders/delivery-order-status-mapping/{id}', [DeliveryOrderStatusMappingController::class, 'patch']);
Route::post('delivery-orders/delivery-order-status-mapping:search', [DeliveryOrderStatusMappingController::class, 'search']);
Route::post('delivery-orders/delivery-order-status-mapping:search-one', [DeliveryOrderStatusMappingController::class, 'searchOne']);
Route::get('delivery-services/delivery-services/{id}', [DeliveryServicesController::class, 'get']);
Route::patch('delivery-services/delivery-services/{id}', [DeliveryServicesController::class, 'patch']);
Route::post('delivery-services/delivery-services:search', [DeliveryServicesController::class, 'search']);
Route::post('delivery-services/delivery-services:search-one', [DeliveryServicesController::class, 'searchOne']);
Route::post('delivery-services/delivery-services/{id}:add-payment-methods', [DeliveryServicePaymentMethodLinksController::class, 'add']);
Route::post('delivery-services/delivery-services/{id}:delete-payment-method', [DeliveryServicePaymentMethodLinksController::class, 'delete']);
Route::post('delivery-services/delivery-service-documents', [DeliveryServiceDocumentsController::class, 'create']);
Route::get('delivery-services/delivery-service-documents/{id}', [DeliveryServiceDocumentsController::class, 'get']);
Route::delete('delivery-services/delivery-service-documents/{id}', [DeliveryServiceDocumentsController::class, 'delete']);
Route::patch('delivery-services/delivery-service-documents/{id}', [DeliveryServiceDocumentsController::class, 'patch']);
Route::post('delivery-services/delivery-service-documents/{id}:upload-file', [DeliveryServiceDocumentFilesController::class, 'upload']);
Route::post('delivery-services/delivery-service-documents/{id}:delete-file', [DeliveryServiceDocumentFilesController::class, 'delete']);
Route::post('delivery-services/delivery-service-documents:search', [DeliveryServiceDocumentsController::class, 'search']);
Route::post('delivery-services/delivery-service-documents:search-one', [DeliveryServiceDocumentsController::class, 'searchOne']);
Route::post('delivery-services/delivery-service-managers', [DeliveryServiceManagersController::class, 'create']);
Route::get('delivery-services/delivery-service-managers/{id}', [DeliveryServiceManagersController::class, 'get']);
Route::delete('delivery-services/delivery-service-managers/{id}', [DeliveryServiceManagersController::class, 'delete']);
Route::patch('delivery-services/delivery-service-managers/{id}', [DeliveryServiceManagersController::class, 'patch']);
Route::post('delivery-services/delivery-service-managers:search', [DeliveryServiceManagersController::class, 'search']);
Route::post('delivery-services/delivery-service-managers:search-one', [DeliveryServiceManagersController::class, 'searchOne']);
Route::get('geos/points/{id}', [PointsController::class, 'get']);
Route::patch('geos/points/{id}', [PointsController::class, 'patch']);
Route::post('geos/points:search', [PointsController::class, 'search']);
Route::post('geos/delivery-cities:search', [DeliveryCitiesController::class, 'search']);
Route::post('delivery-prices/delivery-prices', [DeliveryPricesController::class, 'create']);
Route::get('delivery-prices/delivery-prices/{id}', [DeliveryPricesController::class, 'get']);
Route::delete('delivery-prices/delivery-prices/{id}', [DeliveryPricesController::class, 'delete']);
Route::patch('delivery-prices/delivery-prices/{id}', [DeliveryPricesController::class, 'patch']);
Route::post('delivery-prices/delivery-prices:search', [DeliveryPricesController::class, 'search']);
Route::post('delivery-prices/delivery-prices:search-one', [DeliveryPricesController::class, 'searchOne']);
Route::post('delivery-prices/delivery-prices:checkout', [DeliveryPricesController::class, 'checkout']);
Route::post('geos/federal-districts', [FederalDistrictsController::class, 'create']);
Route::get('geos/federal-districts/{id}', [FederalDistrictsController::class, 'get']);
Route::delete('geos/federal-districts/{id}', [FederalDistrictsController::class, 'delete']);
Route::patch('geos/federal-districts/{id}', [FederalDistrictsController::class, 'patch']);
Route::post('geos/federal-districts:search', [FederalDistrictsController::class, 'search']);
Route::post('geos/federal-districts:search-one', [FederalDistrictsController::class, 'searchOne']);
Route::post('geos/regions', [RegionsController::class, 'create']);
Route::get('geos/regions/{id}', [RegionsController::class, 'get']);
Route::delete('geos/regions/{id}', [RegionsController::class, 'delete']);
Route::patch('geos/regions/{id}', [RegionsController::class, 'patch']);
Route::post('geos/regions:search', [RegionsController::class, 'search']);
Route::post('geos/regions:search-one', [RegionsController::class, 'searchOne']);
Route::get('delivery-kpis/delivery-kpi', [DeliveryKpiController::class, 'get']);
Route::patch('delivery-kpis/delivery-kpi', [DeliveryKpiController::class, 'patch']);
Route::post('delivery-kpis/delivery-kpi-ct:search', [DeliveryKpiCtController::class, 'search']);
Route::post('delivery-kpis/delivery-kpi-ct:search-one', [DeliveryKpiCtController::class, 'searchOne']);
Route::get('delivery-kpis/delivery-kpi-ct/{sellerId}', [DeliveryKpiCtController::class, 'get']);
Route::post('delivery-kpis/delivery-kpi-ct/{sellerId}', [DeliveryKpiCtController::class, 'create']);
Route::delete('delivery-kpis/delivery-kpi-ct/{sellerId}', [DeliveryKpiCtController::class, 'delete']);
Route::patch('delivery-kpis/delivery-kpi-ct/{sellerId}', [DeliveryKpiCtController::class, 'patch']);
Route::post('delivery-kpis/delivery-kpi-ppt:search', [DeliveryKpiPptController::class, 'search']);
Route::post('delivery-kpis/delivery-kpi-ppt:search-one', [DeliveryKpiPptController::class, 'searchOne']);
Route::get('delivery-kpis/delivery-kpi-ppt/{sellerId}', [DeliveryKpiPptController::class, 'get']);
Route::post('delivery-kpis/delivery-kpi-ppt/{sellerId}', [DeliveryKpiPptController::class, 'create']);
Route::delete('delivery-kpis/delivery-kpi-ppt/{sellerId}', [DeliveryKpiPptController::class, 'delete']);
Route::patch('delivery-kpis/delivery-kpi-ppt/{sellerId}', [DeliveryKpiPptController::class, 'patch']);
Route::post('common/customer-personal-data:delete', [CustomerPersonalDataController::class, 'delete']);
Route::post('common/customer-personal-data:check-conditions-to-delete', [CustomerPersonalDataController::class, 'checkConditionsToDelete']);
